# Blog in a Matrix

New blog site using [Astro](https://astro.build/).

## Workflow

Articles are written in markdown or MDX (I am using [Joplin](https://github.com/laurent22/joplin/)) then exported to `/src/content/blog`. The site can render [$\KaTeX$](https://katex.org/) and [Mermaid](https://mermaid.js.org/) content.

## Development

### Setup

Install dependencies:

```sh
pnpm install
```

### Dev Server

Start a development server using the following command:

```sh
pnpm dev --open --host
```

The site should be now accessible at [http://localhost:4321/](http://localhost:4321/). A specific port can be specified using `--port` flag.

### Build Site

Build deployable site:

```sh
pnpm astro build
```

Built site can now be found at `/dist`.
